Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235516 - gdb can't trace when invoked by gnome_segv2
Summary: gdb can't trace when invoked by gnome_segv2
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libgnomeui
Version: 6
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-06 15:59 UTC by Rui Matos
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-18 18:41:15 UTC


Attachments (Terms of Use)

Description Rui Matos 2007-04-06 15:59:13 UTC
I use the GNOME_HACKER=1 env var in fc6. When a gnome program crashes gdb is
invoked but says:

Attaching to program: /usr/bin/evince, process 13591
ptrace: No such process.
/home/jman/13591: No such file or directory.

It seems gnome_segv2 is letting the process terminate before gdb attaches to it.

Comment 1 Ray Strode [halfline] 2008-03-18 18:41:15 UTC
Hi,

We no longer support Fedora Core 6 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)


Note You need to log in before you can comment on or make changes to this bug.